const hShadow = document.getElementById('h-shadow');
const vShadow = document.getElementById('v-shadow');
const blur = document.getElementById('blur');
const spread = document.getElementById('spread');
const color = document.getElementById('color');
const box = document.getElementById('box');
const cssCode = document.getElementById('cssCode');
const copyButton = document.getElementById('copyButton');

function updateBoxShadow() {
  const hValue = hShadow.value + 'px';
  const vValue = vShadow.value + 'px';
  const blurValue = blur.value + 'px';
  const spreadValue = spread.value + 'px';
  const colorValue = color.value;

  const boxShadow = `${hValue} ${vValue} ${blurValue} ${spreadValue} ${colorValue}`;

  box.style.boxShadow = boxShadow;
  cssCode.textContent = `box-shadow: ${boxShadow};`;
}

copyButton.addEventListener('click', () => {
  const codeToCopy = cssCode.textContent;
  navigator.clipboard.writeText(codeToCopy)
    .then(() => {
      alert('CSS code copied to clipboard!');
    })
    .catch(err => {
      console.error('Failed to copy: ', err);
    });
});

hShadow.addEventListener('input', updateBoxShadow);
vShadow.addEventListener('input', updateBoxShadow);
blur.addEventListener('input', updateBoxShadow);
spread.addEventListener('input', updateBoxShadow);
color.addEventListener('input', updateBoxShadow);

updateBoxShadow();